.m-snackbar {
  position: fixed;
  bottom: 0;
  width: calc(100% - 2rem);
  margin: 1rem;
  border-radius: 1rem;
  box-sizing: border-box;
  background-color: var(--white);
  box-shadow: 0.25rem 0.5rem 2rem var(--black-alpha-50);
  overflow: hidden;
  padding: 1rem;
  z-index: 1;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 500;

  &__content {
    display: flex;
    align-items: center;

    & > mat-icon {
      margin-right: 0.333rem;
    }
  }

  button {
    display: flex;
  }

  &.-blue,
  &.-purple,
  &.-success,
  &.-error {
    color: var(--white);
  }

  &.-blue {
    background-color: var(--theme-blue-primary);
    background-image: linear-gradient(
      90deg,
      var(--theme-blue-primary) 0%,
      var(--theme-blue-secondary) 100%
    );
  }

  &.-purple {
    background-color: var(--theme-purple-primary);
    background-image: linear-gradient(
      90deg,
      var(--theme-purple-primary) 0%,
      var(--theme-purple-secondary) 100%
    );
  }

  &.-success {
    background-color: var(--functional-green);
  }

  &.-error {
    background-color: var(--functional-red);
  }

  &.-warning {
    background-color: var(--functional-orange);
  }
}
